/**
 * 画面読込時追加処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function onLoadExtra() {
	// 項目背景色設定
	setFieldsBgColor(ARY_FIELDS_ID    , COLOR_FIELD_NORMAL);
	setFieldsBgColor(ARY_ERR_FIELDS_ID, COLOR_FIELD_ERROR );
	// 項目長設定
	setMaxLength(PRM_TXT_ROUTE_CODE 		, LEN_CODE);
	// 登録/更新判定
	if (MODE == 0) {
		// 読取専用設定
		setReadOnly(PRM_PLT_DELETE  , true);
		// フォーカス設定
		setFocus(PRM_TXT_ROUTE_CODE);
	} else if (MODE == 1) {
		// 読取専用設定
		setReadOnly(PRM_TXT_ROUTE_CODE  , true);
		// フォーカス設定
		setFocus(PRM_PLT_LAYER1);
	} else if (MODE == 2) {
		// 登録ボタン利用可否
		setVisibility("btnRegist", false);
		// フォーカス設定
		setFocus(PRM_TXT_ROUTE_CODE);
	}
	// 新規登録ボタン利用可否
	if (MODE != 1){
		setObjectVisibility("btnNewData",false);
		setWidth("btnNewData", 0);
	}
}

/**
 * サーバー通信処理
 * @param 無し
 * @return 無し
 * @throws 実行時例外
 */
function submitForm(objForm) {
	// 入力チェック
	if (validate()) {
		// サーバー通信(入力エラー無の場合)
		if (MODE == 0) {
			doSubmitMessage(objForm, 'S2827', 'QC0001', '');
		} else if (MODE == 1) {
			doSubmitMessage(objForm, 'S2828', 'QC0001', '');
		}
	}
}

/**
 * 入力チェック
 * @param 無し
 * @return チェック結果(true：OK、false：NG)
 * @throws 実行時例外
 */
function validate() {
	// フィールド背景色設定
	setFieldsBgColor(ARY_FIELDS_ID, COLOR_FIELD_NORMAL);
	// 入力チェック
	var aryMessage = new Array();
	
	checkRequired(PRM_TXT_ROUTE_CODE, NAM_ROUTE_CODE, aryMessage);
	
	checkCode    (PRM_TXT_ROUTE_CODE, NAM_ROUTE_CODE, aryMessage);
		
	if (aryMessage.length == 0) {
		return true;
	} else {
		showMessage(aryMessage);
		return false;
	}
	
}
